Bug 1261595 - [RFE] AAA support for sun proxy ldap server
[RFE] AAA support for sun proxy ldap server
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-extension-aaa-ldap (Show other bugs)
3.5.0
Unspecified Unspecified
high Severity high
: ovirt-3.6.0-rc3
: 3.6.0
Assigned To: Yaniv Kaul
Ondra Machacek
: FutureFeature
Depends On: 1266730
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 14:21 EDT by Anitha Udgiri
Modified: 2016-03-27 02:50 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Red Hat Enterprise Virtualization Manager now provides support for Sun Proxy server with the RFC-2307 schema extension.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-27 02:50:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anitha Udgiri 2015-09-09 14:21:17 EDT
Description of problem:
Request for AAA support for sun proxy ldap server.
Comment 8 Alon Bar-Lev 2015-09-14 11:48:58 EDT
There is no solution for implementation without unique id, quite difficult as groups/users conflicts their ids, need to figure out how to solve this, I will provide a solution in 3.6.
Comment 9 Alon Bar-Lev 2015-09-26 21:46:13 EDT
Hi,

Can you please try pre-release build[1]? You should be able to use it in 3.5, do not download the setup sub-package.

Please use the "rfc2307-generic" profile. It should create unique id out of uidNumber and gidNumber. Please note that GroupOfUniqueNames will be filtered out as there is no unique id for this object.

Thanks,
Alon

[1] https://brewweb.devel.redhat.com//buildinfo?buildID=458848
Comment 12 Ondra Machacek 2015-10-21 11:11:52 EDT
Tested with ovirt-engine-extension-aaa-ldap-1.1.0-0.0.5.master.el6ev.noarch and 
rfc2307-generic profile

Note You need to log in before you can comment on or make changes to this bug.